PDA

View Full Version : upgrading to vb 3.5.2


hendi
December 7th, 2005, 12:16 PM
the upgrade went successful but now my featured photos area is gone. i have added the two lines to index.php and i edited the FORUMHOME template with the $photopostfeature command.

anyone know how to get my featured photos back in version 3.5.2?

thanks

allan

Chuck S
December 7th, 2005, 12:19 PM
That would be how. I did post this for people not wanting to edit the index file you can install a plugin.

Save this code here as an xml file and edit to the correct server path to your inc_fearture.php file and instal the plugin in vbadmin plugin manager



<?xml version="1.0" encoding="ISO-8859-1"?>

<plugins>
<plugin active="1" product="vbulletin">
<title>Photopost Feature Block</title>
<hookname>forumhome_complete</hookname>
<phpcode><![CDATA[include('../gallery/inc_features.php');]]></phpcode>
</plugin>
</plugins>

hendi
December 7th, 2005, 12:45 PM
thanks, that worked.

allan

iloco
December 8th, 2005, 09:28 AM
To use the plugin do I need to remove the code from the index file before installing the plugin. :)

hendi
December 12th, 2005, 01:41 PM
it just worked with those lines in it.

Chuck S
December 12th, 2005, 01:44 PM
yes iloco you would remove the hard coded edit as you dont want to declare it twice

iloco
December 12th, 2005, 02:17 PM
Thanks Chuck for reply. If I understand correctly with plugin I will not have to edit those hard coded lines again when need to upgrade. :)

Chuck S
December 12th, 2005, 02:18 PM
Exactly

iloco
December 12th, 2005, 02:53 PM
I have uploaded the xml file and at the top of my forum home page I get a message " Could not select photopost database"

Don't know what I have done wrong. Any ideas.

Here is what is in my plugin window where you can edit the code.

" include('http://www.iloco.org/photopost/inc_features.php');"

My Site (http://www.iloco.org/forums/index.php)
User: test
Pass: test

Chuck S
December 12th, 2005, 02:57 PM
well its server path not url on the example you posted

next according to the docs on this hack you would need to uncomment the $link and mysql_select_db things and fill in the proper info if the photopost and forum are in separate databases ;)

iloco
December 12th, 2005, 03:06 PM
Well you are correct Chuck about seperate data bases. I wish I knew how to combine them into one.
Will not bother you anymore and go back to the way I hade it hard coded.
I am not sure where to uncomment the $link and mysql_select_db.
Thanks for answerig and explaining the problem. :)

Chuck S
December 12th, 2005, 03:22 PM
not a bother at all

http://www.photopost.com/forum/showthread.php?t=110527

iloco
December 12th, 2005, 03:54 PM
Thanks Chuck for the link. I had gotten where to uncommnet all figured out but still getting errors so I got to do some playing to get this to work as a plugin.
Will do it one day when all by myself. :)

rcull
December 17th, 2005, 11:46 AM
I have upgraded from vb 3.0 to 3.5.2. My photopost and classifieds are no longer working. My reviewpost appears to be at first glance.

I am looking at this plug in fix. When I go to "Plugin System", "Add New Plugin", I have a series of options.

I placed it in "ajax_start", I don't know what that is yet:(...

I named it Photopost,

and inserted----

<?xml version="1.0" encoding="ISO-8859-1"?>

<plugins>
<plugin active="1" product="vbulletin">
<title>Photopost Feature Block</title>
<hookname>forumhome_complete</hookname>
<phpcode><![CDATA[include('../showroom/inc_features.php');]]></phpcode>
</plugin>
</plugins>

-----for the php code.

It isn't working yet, I am still looking for the problem. I am wondering if this would be a good time to just upgrade Photopost, or if I really should get it running first?

http://www.teambuick.com/showroom/

Thanks

Chuck S
December 17th, 2005, 12:24 PM
Only the latest versions of our products are vb 3.5 compatible

If your not using at least Photopost 5.2, Reviewpost 3.1 and Classifieds 2.42 then they are not compatible with vb 3.5

rcull
December 18th, 2005, 09:30 AM
I have not noticed specific upgrading instuctions. Should I simply follow the install instructions, over writing all files? Perhaps the upgrading option is givin once I connect to the web installation script?

Thanks

Chuck S
December 18th, 2005, 10:15 AM
There is in the docs folder of the download upgrade docs

basically you overwrite everything except config files and run any upgrade.php you need to select the ones from your current version on up

rcull
December 18th, 2005, 01:04 PM
OK, I have pressed the upgrade button! I believe I was running 4.86, and the highest upgrade listed was 4.82. I pressed it anyway (famous last actions!).

It looks not bad, but I do have an error:

We're sorry, but the system experienced an unrecoverable error. Please try again later.

Script:

Query: SELECT id,ugnoupload,ugnoanno,ugnoview,ugnopost,ugnovote,password,watermark,cattype,ismember,catname,parent,children,thumbs,canzip,moderators,header,footer,headtags FROM pp_categories

Result: Unknown column 'ismember' in 'field list'

Database handle: Resource id #22

You can see it here: http://www.teambuick.com/showroom/

Thanks,

Chuck S
December 18th, 2005, 04:09 PM
Looks to me like you did not run the 5.0 upgrade